vsgXchange: vsgXchange::gltf::SceneGraphBuilder Class Reference

vsgXchange 1.1.9 VulkanSceneGraph 3rd party data integration library

Loading...
Searching...
No Matches
vsgXchange::gltf::SceneGraphBuilder Class Reference
Inheritance diagram for vsgXchange::gltf::SceneGraphBuilder:
[legend]
Collaboration diagram for vsgXchange::gltf::SceneGraphBuilder:
[legend]

## Classes
struct | SamplerImage
struct | MeshExtras

## Public Member Functions
void | assign_extras (ExtensionsExtras &src, vsg::Object &dest)
void | assign_name_extras (NameExtensionsExtras &src, vsg::Object &dest)
bool | decodePrimitiveIfRequired (vsg::ref_ptr< gltf::Primitive > gltf_primitive)
void | flattenTransforms (gltf::Node &node, const vsg::dmat4 &transform)
bool | getTransform (gltf::Node &node, vsg::dmat4 &transform)
vsg::ref_ptr< vsg::Data > | createBuffer (vsg::ref_ptr< gltf::Buffer > gltf_buffer)
vsg::ref_ptr< vsg::Data > | createBufferView (vsg::ref_ptr< gltf::BufferView > gltf_bufferView)
vsg::ref_ptr< vsg::Data > | createArray (const std::string &type, uint32_t componentType, glTFid bufferView, uint32_t offset, uint32_t count)
vsg::ref_ptr< vsg::Data > | createAccessor (vsg::ref_ptr< gltf::Accessor > gltf_accessor)
vsg::ref_ptr< vsg::Camera > | createCamera (vsg::ref_ptr< gltf::Camera > gltf_camera)
vsg::ref_ptr< vsg::Sampler > | createSampler (vsg::ref_ptr< gltf::Sampler > gltf_sampler)
vsg::ref_ptr< vsg::Data > | createImage (vsg::ref_ptr< gltf::Image > gltf_image)
SamplerImage | createTexture (vsg::ref_ptr< gltf::Texture > gltf_texture)
vsg::ref_ptr< vsg::DescriptorConfigurator > | createPbrMaterial (vsg::ref_ptr< gltf::Material > gltf_material)
vsg::ref_ptr< vsg::DescriptorConfigurator > | createUnlitMaterial (vsg::ref_ptr< gltf::Material > gltf_material)
vsg::ref_ptr< vsg::DescriptorConfigurator > | createMaterial (vsg::ref_ptr< gltf::Material > gltf_material)
vsg::ref_ptr< vsg::Node > | createMesh (vsg::ref_ptr< gltf::Mesh > gltf_mesh, const MeshExtras &extras={})
vsg::ref_ptr< vsg::Light > | createLight (vsg::ref_ptr< gltf::Light > gltf_light)
vsg::ref_ptr< vsg::Node > | createNode (vsg::ref_ptr< gltf::Node > gltf_node, bool jointNode)
vsg::ref_ptr< vsg::Animation > | createAnimation (vsg::ref_ptr< gltf::Animation > gltf_animation)
vsg::ref_ptr< vsg::Node > | createScene (vsg::ref_ptr< gltf::Scene > gltf_scene, bool requiresRootTransformNode, const vsg::dmat4 &matrix)
vsg::ref_ptr< vsg::ShaderSet > | getOrCreatePbrShaderSet ()
vsg::ref_ptr< vsg::ShaderSet > | getOrCreateFlatShaderSet ()
vsg::ref_ptr< vsg::Object > | createSceneGraph (vsg::ref_ptr< gltf::glTF > in_model, vsg::ref_ptr< const vsg::Options > in_options)

## Public Attributes
vsg::ref_ptr< const vsg::Options > | options
vsg::ref_ptr< vsg::ShaderSet > | flatShaderSet
vsg::ref_ptr< vsg::ShaderSet > | pbrShaderSet
vsg::ref_ptr< vsg::SharedObjects > | sharedObjects
vsg::CoordinateConvention | source_coordinateConvention = vsg::CoordinateConvention::Y_UP
int | instanceNodeHint = vsg::Options::INSTANCE_NONE
bool | cloneAccessors = false
float | maxAnisotropy = 16.0f
vsg::ref_ptr< glTF > | model
std::vector< vsg::ref_ptr< vsg::Data > > | vsg_buffers
std::vector< vsg::ref_ptr< vsg::Data > > | vsg_bufferViews
std::vector< vsg::ref_ptr< vsg::Data > > | vsg_accessors
std::vector< vsg::ref_ptr< vsg::Camera > > | vsg_cameras
std::vector< vsg::ref_ptr< vsg::JointSampler > > | vsg_skins
std::vector< vsg::ref_ptr< vsg::Sampler > > | vsg_samplers
std::vector< vsg::ref_ptr< vsg::Data > > | vsg_images
std::vector< SamplerImage > | vsg_textures
std::vector< vsg::ref_ptr< vsg::DescriptorConfigurator > > | vsg_materials
std::vector< vsg::ref_ptr< vsg::Node > > | vsg_meshes
std::vector< vsg::ref_ptr< vsg::Light > > | vsg_lights
std::vector< vsg::ref_ptr< vsg::Node > > | vsg_nodes
std::vector< vsg::ref_ptr< vsg::Node > > | vsg_scenes
std::vector< bool > | vsg_joints
vsg::Animations | vsg_animations
vsg::ref_ptr< vsg::DescriptorConfigurator > | default_material
std::map< std::string, std::string > | attributeLookup

The documentation for this class was generated from the following file:

- include/vsgXchange/gltf.h